Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class LogEntryPrototype

    java.lang.Object
      com.compoze.collab.log.LogEntryPrototype

Direct Known Subclasses:
  DefaultLogEntryPrototype

    public abstract class LogEntryPrototype

extends Object

This class contains information common to each different log entry. A new `EntryPrototype` instance is created for every type of entry that's stored in the log.

Constructor Summary
`protected` | `LogEntryPrototype(LogResourceKey key, LogLevel level, Class exceptionClass)` Constructor.

Method Summary
`Class` | `getExceptionClass()` Gets the exception class of messages made from this prototype.
`String` | `getKey()` Gets the key in the resource bundle for log entry messages made from this prototype.
`LogLevel` | `getLogLevel()` Gets the level of log entries made from this prototype.
`boolean` | `isExceptionPrototype()` Determines if the prototype is for an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogEntryPrototype

    protected LogEntryPrototype(LogResourceKey key,
                                LogLevel level,
                                Class exceptionClass)

  Constructor.

  Parameters
    `key` - the log resource key
    `level` - the `LogLevel`
    `exceptionClass` - the `Class` of the exception (or `null` if the prototype is not for an exception)

Method Detail

### getKey

    public String getKey()

  Gets the key in the resource bundle for log entry messages made from this prototype.

  Returns
    the key

### getLogLevel

    public LogLevel getLogLevel()

  Gets the level of log entries made from this prototype.

  Returns
    the log level

### getExceptionClass

    public Class getExceptionClass()

  Gets the exception class of messages made from this prototype.

  Returns
    the exception class (or `null` if the prototype is not for an exception)

### isExceptionPrototype

    public boolean isExceptionPrototype()

  Determines if the prototype is for an exception.

  Returns
    `true` if the prototype is for an exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved